> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Manual Campaigns

> Enables you to fetch all MANUAL campaigns



## OpenAPI

````yaml /api-reference/push-openapi.json get /prod/campaigns/{id}
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/campaigns/{id}:
    get:
      tags:
        - Manual Campaigns
      summary: Get All Manual Campaigns
      description: Enables you to fetch all MANUAL campaigns
      operationId: get-all-campaigns
      parameters:
        - name: id
          in: path
          description: Site ID
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Maximum number of results to return per page.
          schema:
            type: string
        - name: skip
          in: query
          description: Number of results to skip for pagination (offset).
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - idSite: 179
                      uid: 76cedd11b19e
                      name: Campaign 1
                      title: Title
                      body: Body
                      link: https://weblink.com
                      id: 1
                      segments: ''
                      ab_linked_campaign: null
                      push_src: null
                      push_src_values: null
                      sent_date: null
                      schedule_date: 2024-09-03 12:30
                      status: 1
                      customIcon: >-
                        https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_40_1443032714..jpg
                      customImage: ''
                      actions:
                        a01:
                          title: ''
                          link: ''
                        a02:
                          title: ''
                          link: ''
                      collapse_key: null
                      createdAt: '2024-09-02 19:18:55'
                      updatedAt: '2024-09-02 19:18:55'
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````